Managed Service for MySQL API, REST: Cluster.List
Retrieves the list of clusters in a folder.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list clusters in. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
|
filter |
string A filter expression that selects clusters listed in the response.
The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"clusters": [
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"environment": "string",
"monitoring": [
{
"name": "string",
"description": "string",
"link": "string"
}
],
"config": {
"version": "string",
// Includes only one of the fields `mysqlConfig_5_7`, `mysqlConfig_8_0`, `mysqlConfig_8_4`
"mysqlConfig_5_7": {
"effectiveConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"showCompatibility_56": "boolean",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"queryCacheLimit": "string",
"queryCacheSize": "string",
"queryCacheType": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"queryResponseTimeStats": "boolean",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"innodbLruScanDepth": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"userConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"showCompatibility_56": "boolean",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"queryCacheLimit": "string",
"queryCacheSize": "string",
"queryCacheType": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"queryResponseTimeStats": "boolean",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"innodbLruScanDepth": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"defaultConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"showCompatibility_56": "boolean",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"queryCacheLimit": "string",
"queryCacheSize": "string",
"queryCacheType": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"queryResponseTimeStats": "boolean",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"innodbLruScanDepth": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
}
},
"mysqlConfig_8_0": {
"effectiveConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"userConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"defaultConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"generalLog": "boolean",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"defaultAuthenticationPlugin": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"binlogTransactionDependencyTracking": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
}
},
"mysqlConfig_8_4": {
"effectiveConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbUseAsyncReplication": "boolean",
"mdbAsyncAllowedLag": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"userConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbUseAsyncReplication": "boolean",
"mdbAsyncAllowedLag": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
},
"defaultConfig": {
"innodbBufferPoolSize": "string",
"maxConnections": "string",
"longQueryTime": "number",
"auditLog": "boolean",
"sqlMode": [
"string"
],
"maxAllowedPacket": "string",
"innodbFlushLogAtTrxCommit": "string",
"innodbLockWaitTimeout": "string",
"transactionIsolation": "string",
"innodbPrintAllDeadlocks": "boolean",
"netReadTimeout": "string",
"netWriteTimeout": "string",
"groupConcatMaxLen": "string",
"tmpTableSize": "string",
"maxHeapTableSize": "string",
"defaultTimeZone": "string",
"characterSetServer": "string",
"collationServer": "string",
"innodbAdaptiveHashIndex": "boolean",
"innodbNumaInterleave": "boolean",
"innodbLogBufferSize": "string",
"innodbLogFileSize": "string",
"innodbIoCapacity": "string",
"innodbIoCapacityMax": "string",
"innodbReadIoThreads": "string",
"innodbWriteIoThreads": "string",
"innodbPurgeThreads": "string",
"innodbThreadConcurrency": "string",
"innodbTempDataFileMaxSize": "string",
"threadCacheSize": "string",
"threadStack": "string",
"joinBufferSize": "string",
"sortBufferSize": "string",
"tableDefinitionCache": "string",
"tableOpenCache": "string",
"tableOpenCacheInstances": "string",
"explicitDefaultsForTimestamp": "boolean",
"autoIncrementIncrement": "string",
"autoIncrementOffset": "string",
"syncBinlog": "string",
"binlogCacheSize": "string",
"binlogGroupCommitSyncDelay": "string",
"binlogRowImage": "string",
"binlogRowsQueryLogEvents": "boolean",
"rplSemiSyncMasterWaitForSlaveCount": "string",
"slaveParallelType": "string",
"slaveParallelWorkers": "string",
"regexpTimeLimit": "string",
"mdbPreserveBinlogBytes": "string",
"interactiveTimeout": "string",
"waitTimeout": "string",
"mdbOfflineModeEnableLag": "string",
"mdbOfflineModeDisableLag": "string",
"rangeOptimizerMaxMemSize": "string",
"innodbOnlineAlterLogMaxSize": "string",
"innodbFtMinTokenSize": "string",
"innodbFtMaxTokenSize": "string",
"lowerCaseTableNames": "string",
"slowQueryLog": "boolean",
"slowQueryLogAlwaysWriteTime": "number",
"logSlowRateType": "string",
"logSlowRateLimit": "string",
"logSlowSpStatements": "boolean",
"logSlowFilter": [
"string"
],
"mdbPriorityChoiceMaxLag": "string",
"innodbPageSize": "string",
"maxSpRecursionDepth": "string",
"innodbCompressionLevel": "string",
"autocommit": "boolean",
"innodbStatusOutput": "boolean",
"innodbStrictMode": "boolean",
"innodbPrintLockWaitTimeoutInfo": "boolean",
"logErrorVerbosity": "string",
"maxDigestLength": "string",
"lockWaitTimeout": "string",
"maxPreparedStmtCount": "string",
"optimizerSwitch": "string",
"optimizerSearchDepth": "string",
"userstat": "boolean",
"maxExecutionTime": "string",
"auditLogPolicy": "string",
"replicationSenderObserveCommitOnly": "boolean",
"replicationOptimizeForStaticPluginConfig": "boolean",
"innodbLruScanDepth": "string",
"sqlRequirePrimaryKey": "boolean",
"mdbUseAsyncReplication": "boolean",
"mdbAsyncAllowedLag": "string",
"mdbForceSsl": "boolean",
"innodbChangeBuffering": "string",
"maxWriteLockCount": "string",
"innodbAdaptiveHashIndexParts": "string"
}
},
// end of the list of possible fields
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"backupWindowStart": {
"hours": "integer",
"minutes": "integer",
"seconds": "integer",
"nanos": "integer"
},
"access": {
"dataLens": "boolean",
"webSql": "boolean",
"dataTransfer": "boolean",
"yandexQuery": "boolean"
},
"performanceDiagnostics": {
"enabled": "boolean",
"sessionsSamplingInterval": "string",
"statementsSamplingInterval": "string"
},
"backupRetainPeriodDays": "string",
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
},
"fullVersion": "string"
},
"networkId": "string",
"health": "string",
"status": "string",
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"plannedOperation": {
"info": "string",
"delayedUntil": "string"
},
"securityGroupIds": [
"string"
],
"deletionProtection": "boolean",
"hostGroupIds": [
"string"
],
"diskEncryptionKeyId": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
clusters[] |
List of clusters. |
|
nextPageToken |
string The token that can be used to get the next page of results. |
Cluster
An object that represents MySQL cluster.
See the documentation for details.
|
Field |
Description |
|
id |
string ID of the cluster. |
|
folderId |
string ID of the folder that the cluster belongs to. |
|
createdAt |
string (date-time) Creation timestamp of the cluster. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the cluster. |
|
description |
string Description of the cluster. |
|
labels |
object (map<string, string>) Custom labels for the cluster as |
|
environment |
enum (Environment) Deployment environment of the MySQL cluster.
|
|
monitoring[] |
Monitoring systems data that is relevant to the cluster. |
|
config |
Configuration of the cluster. |
|
networkId |
string ID of the network that the cluster belongs to. |
|
health |
enum (Health) Aggregated health of the cluster.
|
|
status |
enum (Status) Current state of the cluster.
|
|
maintenanceWindow |
Maintenance window settings for the cluster. |
|
plannedOperation |
Planned maintenance operation to be started for the cluster within the nearest |
|
securityGroupIds[] |
string Effective list of security group IDs applied to the cluster. |
|
deletionProtection |
boolean This option prevents unintended deletion of the cluster. |
|
hostGroupIds[] |
string Host groups hosting VMs of the cluster. |
|
diskEncryptionKeyId |
string ID of the key to encrypt cluster disks. |
Monitoring
Cluster-related monitoring system data.
|
Field |
Description |
|
name |
string Name of the monitoring system. |
|
description |
string Description of the monitoring system. |
|
link |
string Link to the monitoring system charts for the cluster. |
ClusterConfig
|
Field |
Description |
|
version |
string Version of MySQL used in the cluster. |
|
mysqlConfig_5_7 |
Configuration of a MySQL 5.7 server. Includes only one of the fields Cluster-wide MySQL configuration. |
|
mysqlConfig_8_0 |
Configuration of a MySQL 8.0 server. Includes only one of the fields Cluster-wide MySQL configuration. |
|
mysqlConfig_8_4 |
Configuration of a MySQL 8.4 server. Includes only one of the fields Cluster-wide MySQL configuration. |
|
resources |
Resource preset for the cluster hosts. |
|
backupWindowStart |
Time to start the daily backup, in the UTC timezone. |
|
access |
Access policy for external services. |
|
performanceDiagnostics |
Configuration of the performance diagnostics service. |
|
backupRetainPeriodDays |
string (int64) Retention policy of automated backups. Acceptable values are 7 to 60, inclusive. |
|
diskSizeAutoscaling |
Disk size autoscaling |
|
fullVersion |
string Full version |
MysqlConfigSet5_7
|
Field |
Description |
|
effectiveConfig |
Effective settings for a MySQL 5.7 cluster (a combination of settings defined |
|
userConfig |
User-defined settings for a MySQL 5.7 cluster. |
|
defaultConfig |
Default configuration for a MySQL 5.7 cluster. |
MysqlConfig5_7
Options and structure of MysqlConfig5_7 reflects MySQL 5.7 configuration file.
|
Field |
Description |
|
innodbBufferPoolSize |
string (int64) Size of the InnoDB buffer pool used for caching table and index data. The minimum value is 134217728. |
|
maxConnections |
string (int64) The maximum permitted number of simultaneous client connections. Acceptable values are 10 to 100000, inclusive. |
|
longQueryTime |
number (double) Time that it takes to process a query before it is considered slow. Acceptable values are 0 to 3600, inclusive. |
|
generalLog |
boolean Enable writing of general query log of MySQL. |
|
auditLog |
boolean Enable writing of audit log of MySQL. |
|
sqlMode[] |
enum (SQLMode) Server SQL mode of MySQL.
|
|
maxAllowedPacket |
string (int64) The maximum size in bytes of one packet. Acceptable values are 1048576 to 1073741824, inclusive. |
|
defaultAuthenticationPlugin |
enum (AuthPlugin) Authentication plugin used in the managed MySQL cluster.
|
|
innodbFlushLogAtTrxCommit |
string (int64) Transaction log flush behaviour. Acceptable values are 1 to 2, inclusive. |
|
innodbLockWaitTimeout |
string (int64) Max time in seconds for a transaction to wait for a row lock. Acceptable values are 1 to 28800, inclusive. |
|
transactionIsolation |
enum (TransactionIsolation) Default transaction isolation level.
|
|
innodbPrintAllDeadlocks |
boolean Print information about deadlocks in error log. |
|
netReadTimeout |
string (int64) The number of seconds to wait for more data from a connection before aborting the read. Acceptable values are 1 to 1200, inclusive. |
|
netWriteTimeout |
string (int64) The number of seconds to wait for a block to be written to a connection before aborting the write. Acceptable values are 1 to 1200, inclusive. |
|
groupConcatMaxLen |
string (int64) The maximum permitted result length in bytes for the GROUP_CONCAT() function. Acceptable values are 4 to 33554432, inclusive. |
|
tmpTableSize |
string (int64) The maximum size of internal in-memory temporary tables. Acceptable values are 1024 to 536870912, inclusive. |
|
maxHeapTableSize |
string (int64) This variable sets the maximum size to which user-created MEMORY tables are permitted to grow. Acceptable values are 16384 to 536870912, inclusive. |
|
defaultTimeZone |
string The servers default time zone. |
|
characterSetServer |
string The servers default character set. |
|
collationServer |
string The server default collation. |
|
innodbAdaptiveHashIndex |
boolean Enables InnoDB adaptive hash index. |
|
innodbNumaInterleave |
boolean Enables the NUMA interleave memory policy for allocation of the InnoDB buffer pool. |
|
innodbLogBufferSize |
string (int64) The size in bytes of the buffer that InnoDB uses to write to the log files on disk. Acceptable values are 1048576 to 268435456, inclusive. |
|
innodbLogFileSize |
string (int64) The size in bytes of the single InnoDB Redo log file. Acceptable values are 268435456 to 8589934592, inclusive. |
|
innodbIoCapacity |
string (int64) Limits IO available for InnoDB background tasks. Acceptable values are 100 to 100000, inclusive. |
|
innodbIoCapacityMax |
string (int64) Limits IO available for InnoDB background tasks. Acceptable values are 100 to 100000, inclusive. |
|
innodbReadIoThreads |
string (int64) The number of I/O threads for read operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbWriteIoThreads |
string (int64) The number of I/O threads for write operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbPurgeThreads |
string (int64) The number of background threads devoted to the InnoDB purge operation. Acceptable values are 1 to 16, inclusive. |
|
innodbThreadConcurrency |
string (int64) Defines the maximum number of threads permitted inside of InnoDB. Acceptable values are 0 to 1000, inclusive. |
|
innodbTempDataFileMaxSize |
string (int64) Limits the max size of InnoDB temp tablespace. Acceptable values are 1073741824 to 107374182400, inclusive. |
|
threadCacheSize |
string (int64) A number of threads the server should cache for reuse. Acceptable values are 10 to 10000, inclusive. |
|
threadStack |
string (int64) The stack size for each thread. The default is large enough for normal operation. Acceptable values are 131072 to 16777216, inclusive. |
|
joinBufferSize |
string (int64) The minimum size of the buffer that is used for plain index scans, range index scans, and joins that don't use indexes and thus perform full table scans. Acceptable values are 1024 to 16777216, inclusive. |
|
sortBufferSize |
string (int64) Each session that must perform a sort allocates a buffer of this size. Acceptable values are 1024 to 16777216, inclusive. |
|
tableDefinitionCache |
string (int64) The number of table definitions that can be stored in the definition cache. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCache |
string (int64) The number of open tables for all threads. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCacheInstances |
string (int64) The number of open tables cache instances. Acceptable values are 1 to 32, inclusive. |
|
explicitDefaultsForTimestamp |
boolean Determines whether the server enables certain nonstandard behaviors for default values and NULL-value handling in TIMESTAMP columns. |
|
autoIncrementIncrement |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
autoIncrementOffset |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
syncBinlog |
string (int64) Controls how often the MySQL server synchronizes the binary log to disk. Acceptable values are 0 to 4096, inclusive. |
|
binlogCacheSize |
string (int64) The size of the cache to hold changes to the binary log during a transaction. Acceptable values are 4096 to 67108864, inclusive. |
|
binlogGroupCommitSyncDelay |
string (int64) Controls how many microseconds the binary log commit waits before synchronizing the binary log file to disk. Acceptable values are 0 to 50000, inclusive. |
|
binlogRowImage |
enum (BinlogRowImage) For MySQL row-based replication, this variable determines how row images are written to the binary log.
|
|
binlogRowsQueryLogEvents |
boolean When enabled, it causes the server to write informational log events such as row query log events into its binary log. |
|
rplSemiSyncMasterWaitForSlaveCount |
string (int64) The number of replica acknowledgments the source must receive per transaction before proceeding. The minimum value is 1. |
|
slaveParallelType |
enum (SlaveParallelType) When using a multi-threaded replica, this variable specifies the policy used to decide which transactions are allowed to execute in parallel on the replica.
|
|
slaveParallelWorkers |
string (int64) Sets the number of applier threads for executing replication transactions in parallel. Acceptable values are 0 to 64, inclusive. |
|
mdbPreserveBinlogBytes |
string (int64) The size of the binary log to hold. Acceptable values are 1073741824 to 1099511627776, inclusive. |
|
interactiveTimeout |
string (int64) The number of seconds the server waits for activity on an interactive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
waitTimeout |
string (int64) The number of seconds the server waits for activity on a noninteractive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
mdbOfflineModeEnableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = ON' to prevent users from reading stale data. Acceptable values are 30 to 86400, inclusive. |
|
mdbOfflineModeDisableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = OFF'. Acceptable values are 10 to 86400, inclusive. |
|
rangeOptimizerMaxMemSize |
string (int64) The limit on memory consumption for the range optimizer. Acceptable values are 60 to 268435456, inclusive. |
|
innodbOnlineAlterLogMaxSize |
string (int64) The limit in bytes on the size of the temporary log files used during online DDL operations Acceptable values are 65536 to 107374182400, inclusive. |
|
innodbFtMinTokenSize |
string (int64) Minimum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 0 to 16, inclusive. |
|
innodbFtMaxTokenSize |
string (int64) Maximum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 10 to 84, inclusive. |
|
lowerCaseTableNames |
string (int64) Table names storage and comparison strategy Acceptable values are 0 to 1, inclusive. |
|
showCompatibility_56 |
boolean Manages MySQL 5.6 compatibility |
|
slowQueryLog |
boolean Manages slow query log. |
|
slowQueryLogAlwaysWriteTime |
number (double) Query execution time, after which query to be logged unconditionally, that is, `log_slow_rate_limit`` will not apply to it. Acceptable values are 0 to 3600, inclusive. |
|
logSlowRateType |
enum (LogSlowRateType) Specifies slow log granularity for
|
|
logSlowRateLimit |
string (int64) Specifies what fraction of session/query should be logged. Logging is enabled for every nth session/query. Acceptable values are 1 to 1000, inclusive. |
|
logSlowSpStatements |
boolean When TRUE, statements executed by stored procedures are logged to the slow log. |
|
logSlowFilter[] |
enum (LogSlowFilterType) Filters the slow log by the query's execution plan.
|
|
mdbPriorityChoiceMaxLag |
string (int64) Replication lag threshold (seconds) which allows replica to be promoted to master while executing "switchover from". Acceptable values are 0 to 86400, inclusive. |
|
innodbPageSize |
string (int64) Specifies the page size for InnoDB tablespaces. Acceptable values are 4096 to 65536, inclusive. |
|
maxSpRecursionDepth |
string (int64) The number of times that any given stored procedure may be called recursively. Acceptable values are 0 to 255, inclusive. |
|
innodbCompressionLevel |
string (int64) The level of zlib compression to use for InnoDB compressed tables and indexes. Acceptable values are 0 to 9, inclusive. |
|
binlogTransactionDependencyTracking |
enum (BinlogTransactionDependencyTracking) Specifies how the source mysqld generates the dependency information that it writes in the binary log to help replicas determine which transactions can be executed in parallel.
|
|
autocommit |
boolean Config specific will be all changes to a table take effect immediately or you must use COMMIT to accept a transaction or ROLLBACK to cancel it. |
|
innodbStatusOutput |
boolean Enables or disables periodic output for the standard InnoDB Monitor. |
|
innodbStrictMode |
boolean When innodb_strict_mode is enabled, InnoDB returns errors rather than warnings when checking for invalid or incompatible table options. |
|
innodbPrintLockWaitTimeoutInfo |
boolean Makes InnoDB to write information about all lock wait timeout errors into the log file. |
|
logErrorVerbosity |
string (int64) System variable specifies the verbosity for handling events intended for the error log Acceptable values are 2 to 3, inclusive. |
|
maxDigestLength |
string (int64) The maximum number of bytes of memory reserved per session for computation of normalized statement digests. Acceptable values are 1024 to 1048576, inclusive. |
|
queryCacheLimit |
string (int64) Do not cache results that are larger than this number of bytes. Acceptable values are 0 to 4294967295, inclusive. |
|
queryCacheSize |
string (int64) The amount of memory allocated for caching query results. |
|
queryCacheType |
string (int64) Set the query cache type. Acceptable values are 0 to 2, inclusive. |
|
lockWaitTimeout |
string (int64) This variable specifies the timeout in seconds for attempts to acquire metadata locks Acceptable values are 1 to 31536000, inclusive. |
|
maxPreparedStmtCount |
string (int64) This variable limits the total number of prepared statements in the server. Acceptable values are 0 to 1048576, inclusive. |
|
optimizerSwitch |
string The system variable enables control over optimizer behavior. |
|
optimizerSearchDepth |
string (int64) The maximum depth of search performed by the query optimizer Acceptable values are 0 to 62, inclusive. |
|
queryResponseTimeStats |
boolean Enables and disables collection of query times |
|
userstat |
boolean Enables or disables collection of statistics |
|
maxExecutionTime |
string (int64) The execution timeout for SELECT statements, in milliseconds. If the value is 0, timeouts are not enabled. Acceptable values are 0 to 4294967295, inclusive. |
|
auditLogPolicy |
enum (AuditLogPolicy) The policy controlling how the audit log plugin writes events to its log file
|
|
innodbLruScanDepth |
string (int64) A parameter that influences the algorithms and heuristics for the flush operation for the InnoDB buffer pool Acceptable values are 100 to 4294967295, inclusive. |
|
mdbForceSsl |
boolean Force ssl on all hosts (require_secure_transport) |
|
innodbChangeBuffering |
enum (InnodbChangeBuffering) An optimization for change buffering
|
|
maxWriteLockCount |
string (int64) Permit some pending read lock requests interval The minimum value is 1. |
|
innodbAdaptiveHashIndexParts |
string (int64) Partitions the adaptive hash index search system. Acceptable values are 1 to 512, inclusive. |
MysqlConfigSet8_0
|
Field |
Description |
|
effectiveConfig |
Effective settings for a MySQL 8.0 cluster (a combination of settings defined |
|
userConfig |
User-defined settings for a MySQL 8.0 cluster. |
|
defaultConfig |
Default configuration for a MySQL 8.0 cluster. |
MysqlConfig8_0
Options and structure of MysqlConfig8_0 reflects MySQL 8.0 configuration file.
|
Field |
Description |
|
innodbBufferPoolSize |
string (int64) Size of the InnoDB buffer pool used for caching table and index data. The minimum value is 134217728. |
|
maxConnections |
string (int64) The maximum permitted number of simultaneous client connections. Acceptable values are 10 to 100000, inclusive. |
|
longQueryTime |
number (double) Time that it takes to process a query before it is considered slow. Acceptable values are 0 to 3600, inclusive. |
|
generalLog |
boolean Enable writing of general query log of MySQL. |
|
auditLog |
boolean Enable writing of audit log of MySQL. |
|
sqlMode[] |
enum (SQLMode) Server SQL mode of MySQL.
|
|
maxAllowedPacket |
string (int64) The maximum size in bytes of one packet. Acceptable values are 1048576 to 1073741824, inclusive. |
|
defaultAuthenticationPlugin |
enum (AuthPlugin) Authentication plugin used in the managed MySQL cluster.
|
|
innodbFlushLogAtTrxCommit |
string (int64) Transaction log flush behaviour. Acceptable values are 1 to 2, inclusive. |
|
innodbLockWaitTimeout |
string (int64) Max time in seconds for a transaction to wait for a row lock. Acceptable values are 1 to 28800, inclusive. |
|
transactionIsolation |
enum (TransactionIsolation) Default transaction isolation level.
|
|
innodbPrintAllDeadlocks |
boolean Print information about deadlocks in error log. |
|
netReadTimeout |
string (int64) The number of seconds to wait for more data from a connection before aborting the read. Acceptable values are 1 to 1200, inclusive. |
|
netWriteTimeout |
string (int64) The number of seconds to wait for a block to be written to a connection before aborting the write. Acceptable values are 1 to 1200, inclusive. |
|
groupConcatMaxLen |
string (int64) The maximum permitted result length in bytes for the GROUP_CONCAT() function. Acceptable values are 4 to 33554432, inclusive. |
|
tmpTableSize |
string (int64) The maximum size of internal in-memory temporary tables. Acceptable values are 1024 to 536870912, inclusive. |
|
maxHeapTableSize |
string (int64) This variable sets the maximum size to which user-created MEMORY tables are permitted to grow. Acceptable values are 16384 to 536870912, inclusive. |
|
defaultTimeZone |
string The servers default time zone. |
|
characterSetServer |
string The servers default character set. |
|
collationServer |
string The server default collation. |
|
innodbAdaptiveHashIndex |
boolean Enables InnoDB adaptive hash index. |
|
innodbNumaInterleave |
boolean Enables the NUMA interleave memory policy for allocation of the InnoDB buffer pool. |
|
innodbLogBufferSize |
string (int64) The size in bytes of the buffer that InnoDB uses to write to the log files on disk. Acceptable values are 1048576 to 268435456, inclusive. |
|
innodbLogFileSize |
string (int64) The size in bytes of the single InnoDB Redo log file. Acceptable values are 268435456 to 8589934592, inclusive. |
|
innodbIoCapacity |
string (int64) Limits IO available for InnoDB background tasks. Acceptable values are 100 to 100000, inclusive. |
|
innodbIoCapacityMax |
string (int64) Limits IO available for InnoDB background tasks. Acceptable values are 100 to 100000, inclusive. |
|
innodbReadIoThreads |
string (int64) The number of I/O threads for read operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbWriteIoThreads |
string (int64) The number of I/O threads for write operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbPurgeThreads |
string (int64) The number of background threads devoted to the InnoDB purge operation. Acceptable values are 1 to 16, inclusive. |
|
innodbThreadConcurrency |
string (int64) Defines the maximum number of threads permitted inside of InnoDB. Acceptable values are 0 to 1000, inclusive. |
|
innodbTempDataFileMaxSize |
string (int64) Limits the max size of InnoDB temp tablespace. Acceptable values are 1073741824 to 107374182400, inclusive. |
|
threadCacheSize |
string (int64) How many threads the server should cache for reuse. Acceptable values are 10 to 10000, inclusive. |
|
threadStack |
string (int64) The stack size for each thread. The default is large enough for normal operation. Acceptable values are 131072 to 16777216, inclusive. |
|
joinBufferSize |
string (int64) The minimum size of the buffer that is used for plain index scans, range index scans, and joins that don't use indexes and thus perform full table scans. Acceptable values are 1024 to 16777216, inclusive. |
|
sortBufferSize |
string (int64) Each session that must perform a sort allocates a buffer of this size. Acceptable values are 1024 to 16777216, inclusive. |
|
tableDefinitionCache |
string (int64) The number of table definitions that can be stored in the definition cache. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCache |
string (int64) The number of open tables for all threads. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCacheInstances |
string (int64) The number of open tables cache instances. Acceptable values are 1 to 32, inclusive. |
|
explicitDefaultsForTimestamp |
boolean Determines whether the server enables certain nonstandard behaviors for default values and NULL-value handling in TIMESTAMP columns. |
|
autoIncrementIncrement |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
autoIncrementOffset |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
syncBinlog |
string (int64) Controls how often the MySQL server synchronizes the binary log to disk. Acceptable values are 0 to 4096, inclusive. |
|
binlogCacheSize |
string (int64) The size of the cache to hold changes to the binary log during a transaction. Acceptable values are 4096 to 67108864, inclusive. |
|
binlogGroupCommitSyncDelay |
string (int64) Controls how many microseconds the binary log commit waits before synchronizing the binary log file to disk. Acceptable values are 0 to 50000, inclusive. |
|
binlogRowImage |
enum (BinlogRowImage) For MySQL row-based replication, this variable determines how row images are written to the binary log.
|
|
binlogRowsQueryLogEvents |
boolean When enabled, it causes the server to write informational log events such as row query log events into its binary log. |
|
rplSemiSyncMasterWaitForSlaveCount |
string (int64) The number of replica acknowledgments the source must receive per transaction before proceeding. The minimum value is 1. |
|
slaveParallelType |
enum (SlaveParallelType) When using a multi-threaded replica, this variable specifies the policy used to decide which transactions are allowed to execute in parallel on the replica.
|
|
slaveParallelWorkers |
string (int64) Sets the number of applier threads for executing replication transactions in parallel. Acceptable values are 0 to 64, inclusive. |
|
regexpTimeLimit |
string (int64) The time limit for regular expression matching operations performed by REGEXP_LIKE and similar functions. Acceptable values are 0 to 1048576, inclusive. |
|
mdbPreserveBinlogBytes |
string (int64) The size of the binary log to hold. Acceptable values are 1073741824 to 1099511627776, inclusive. |
|
interactiveTimeout |
string (int64) The number of seconds the server waits for activity on an interactive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
waitTimeout |
string (int64) The number of seconds the server waits for activity on a noninteractive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
mdbOfflineModeEnableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = ON' to prevent users from reading stale data. Acceptable values are 30 to 86400, inclusive. |
|
mdbOfflineModeDisableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = OFF'. Acceptable values are 10 to 86400, inclusive. |
|
rangeOptimizerMaxMemSize |
string (int64) The limit on memory consumption for the range optimizer. Acceptable values are 60 to 268435456, inclusive. |
|
innodbOnlineAlterLogMaxSize |
string (int64) The limit in bytes on the size of the temporary log files used during online DDL operations Acceptable values are 65536 to 107374182400, inclusive. |
|
innodbFtMinTokenSize |
string (int64) Minimum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 0 to 16, inclusive. |
|
innodbFtMaxTokenSize |
string (int64) Maximum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 10 to 84, inclusive. |
|
lowerCaseTableNames |
string (int64) Table names storage and comparison strategy Acceptable values are 0 to 1, inclusive. |
|
slowQueryLog |
boolean Manages slow query log. |
|
slowQueryLogAlwaysWriteTime |
number (double) Query execution time, after which query to be logged unconditionally, that is, Acceptable values are 0 to 3600, inclusive. |
|
logSlowRateType |
enum (LogSlowRateType) Specifies slow log granularity for
|
|
logSlowRateLimit |
string (int64) Specifies what fraction of session/query should be logged. Logging is enabled for every nth session/query. Acceptable values are 1 to 1000, inclusive. |
|
logSlowSpStatements |
boolean When TRUE, statements executed by stored procedures are logged to the slow log. |
|
logSlowFilter[] |
enum (LogSlowFilterType) Filters the slow log by the query's execution plan.
|
|
mdbPriorityChoiceMaxLag |
string (int64) Replication lag threshold (seconds) which allows replica to be promoted to master while executing "switchover from". Acceptable values are 0 to 86400, inclusive. |
|
innodbPageSize |
string (int64) Specifies the page size for InnoDB tablespaces. Acceptable values are 4096 to 65536, inclusive. |
|
maxSpRecursionDepth |
string (int64) The number of times that any given stored procedure may be called recursively. Acceptable values are 0 to 255, inclusive. |
|
innodbCompressionLevel |
string (int64) The level of zlib compression to use for InnoDB compressed tables and indexes. Acceptable values are 0 to 9, inclusive. |
|
binlogTransactionDependencyTracking |
enum (BinlogTransactionDependencyTracking) Specifies how the source mysqld generates the dependency information that it writes in the binary log to help replicas determine which transactions can be executed in parallel.
|
|
autocommit |
boolean Config specific will be all changes to a table take effect immediately or you must use COMMIT to accept a transaction or ROLLBACK to cancel it. |
|
innodbStatusOutput |
boolean Enables or disables periodic output for the standard InnoDB Monitor. |
|
innodbStrictMode |
boolean When innodb_strict_mode is enabled, InnoDB returns errors rather than warnings when checking for invalid or incompatible table options. |
|
innodbPrintLockWaitTimeoutInfo |
boolean Makes InnoDB to write information about all lock wait timeout errors into the log file. |
|
logErrorVerbosity |
string (int64) System variable specifies the verbosity for handling events intended for the error log Acceptable values are 2 to 3, inclusive. |
|
maxDigestLength |
string (int64) The maximum number of bytes of memory reserved per session for computation of normalized statement digests. Acceptable values are 1024 to 1048576, inclusive. |
|
lockWaitTimeout |
string (int64) This variable specifies the timeout in seconds for attempts to acquire metadata locks Acceptable values are 1 to 31536000, inclusive. |
|
maxPreparedStmtCount |
string (int64) This variable limits the total number of prepared statements in the server. Acceptable values are 0 to 4194304, inclusive. |
|
optimizerSwitch |
string The system variable enables control over optimizer behavior. |
|
optimizerSearchDepth |
string (int64) The maximum depth of search performed by the query optimizer Acceptable values are 0 to 62, inclusive. |
|
userstat |
boolean Enables or disables collection of statistics |
|
maxExecutionTime |
string (int64) The execution timeout for SELECT statements, in milliseconds. If the value is 0, timeouts are not enabled. Acceptable values are 0 to 4294967295, inclusive. |
|
auditLogPolicy |
enum (AuditLogPolicy) The policy controlling how the audit log plugin writes events to its log file
|
|
replicationSenderObserveCommitOnly |
boolean Limit callbacks to improve performance for semisynchronous replication |
|
replicationOptimizeForStaticPluginConfig |
boolean Use shared locks, and avoid unnecessary lock acquisitions, to improve performance for semisynchronous replication |
|
innodbLruScanDepth |
string (int64) A parameter that influences the algorithms and heuristics for the flush operation for the InnoDB buffer pool Acceptable values are 100 to 4294967295, inclusive. |
|
sqlRequirePrimaryKey |
boolean Whether statements that create new tables or alter the structure of existing tables enforce the requirement that tables have a primary key |
|
mdbForceSsl |
boolean Force ssl on all hosts (require_secure_transport) |
|
innodbChangeBuffering |
enum (InnodbChangeBuffering) An optimization for change buffering
|
|
maxWriteLockCount |
string (int64) Permit some pending read lock requests interval The minimum value is 1. |
|
innodbAdaptiveHashIndexParts |
string (int64) Partitions the adaptive hash index search system. Acceptable values are 1 to 512, inclusive. |
MysqlConfigSet8_4
|
Field |
Description |
|
effectiveConfig |
Effective settings for a MySQL 8.4 cluster (a combination of settings defined |
|
userConfig |
User-defined settings for a MySQL 8.4 cluster. |
|
defaultConfig |
Default configuration for a MySQL 8.4 cluster. |
MysqlConfig8_4
Options and structure of MysqlConfig8_4 reflects MySQL 8.4 configuration file
|
Field |
Description |
|
innodbBufferPoolSize |
string (int64) Size of the InnoDB buffer pool used for caching table and index data. The minimum value is 134217728. |
|
maxConnections |
string (int64) The maximum permitted number of simultaneous client connections. Acceptable values are 10 to 100000, inclusive. |
|
longQueryTime |
number (double) Time that it takes to process a query before it is considered slow. Acceptable values are 0 to 3600, inclusive. |
|
auditLog |
boolean Enable writing of audit log of MySQL. |
|
sqlMode[] |
enum (SQLMode) Server SQL mode of MySQL.
|
|
maxAllowedPacket |
string (int64) The maximum size in bytes of one packet. Acceptable values are 1048576 to 1073741824, inclusive. |
|
innodbFlushLogAtTrxCommit |
string (int64) Transaction log flush behaviour. Acceptable values are 1 to 2, inclusive. |
|
innodbLockWaitTimeout |
string (int64) Max time in seconds for a transaction to wait for a row lock Acceptable values are 1 to 28800, inclusive. |
|
transactionIsolation |
enum (TransactionIsolation) Default transaction isolation level.
|
|
innodbPrintAllDeadlocks |
boolean Print information about deadlocks in error log |
|
netReadTimeout |
string (int64) The number of seconds to wait for more data from a connection before aborting the read. Acceptable values are 1 to 1200, inclusive. |
|
netWriteTimeout |
string (int64) The number of seconds to wait for a block to be written to a connection before aborting the write. Acceptable values are 1 to 1200, inclusive. |
|
groupConcatMaxLen |
string (int64) The maximum permitted result length in bytes for the GROUP_CONCAT() function. Acceptable values are 4 to 33554432, inclusive. |
|
tmpTableSize |
string (int64) The maximum size of internal in-memory temporary tables. Acceptable values are 1024 to 536870912, inclusive. |
|
maxHeapTableSize |
string (int64) This variable sets the maximum size to which user-created MEMORY tables are permitted to grow. Acceptable values are 16384 to 536870912, inclusive. |
|
defaultTimeZone |
string The servers default time zone. |
|
characterSetServer |
string The servers default character set. |
|
collationServer |
string Set the default server collation. |
|
innodbAdaptiveHashIndex |
boolean Enables Innodb adaptive hash index |
|
innodbNumaInterleave |
boolean Enables the NUMA interleave memory policy for allocation of the InnoDB buffer pool. |
|
innodbLogBufferSize |
string (int64) The size in bytes of the buffer that InnoDB uses to write to the log files on disk. Acceptable values are 1048576 to 268435456, inclusive. |
|
innodbLogFileSize |
string (int64) The size in bytes of the single Innodb Redo log file. Acceptable values are 268435456 to 8589934592, inclusive. |
|
innodbIoCapacity |
string (int64) Limits IO available for InnoDB background tasks Acceptable values are 100 to 100000, inclusive. |
|
innodbIoCapacityMax |
string (int64) Limits IO available for InnoDB background tasks Acceptable values are 100 to 100000, inclusive. |
|
innodbReadIoThreads |
string (int64) The number of I/O threads for read operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbWriteIoThreads |
string (int64) The number of I/O threads for write operations in InnoDB. Acceptable values are 1 to 16, inclusive. |
|
innodbPurgeThreads |
string (int64) The number of background threads devoted to the InnoDB purge operation. Acceptable values are 1 to 16, inclusive. |
|
innodbThreadConcurrency |
string (int64) Defines the maximum number of threads permitted inside of InnoDB. Acceptable values are 0 to 1000, inclusive. |
|
innodbTempDataFileMaxSize |
string (int64) Limits the max size of InnoDB temp tablespace Acceptable values are 1073741824 to 107374182400, inclusive. |
|
threadCacheSize |
string (int64) How many threads the server should cache for reuse. Acceptable values are 10 to 10000, inclusive. |
|
threadStack |
string (int64) The stack size for each thread. The default is large enough for normal operation. Acceptable values are 131072 to 16777216, inclusive. |
|
joinBufferSize |
string (int64) The minimum size of the buffer that is used for plain index scans, range index scans, and joins that don't use indexes and thus perform full table scans. Acceptable values are 1024 to 16777216, inclusive. |
|
sortBufferSize |
string (int64) Each session that must perform a sort allocates a buffer of this size. Acceptable values are 1024 to 16777216, inclusive. |
|
tableDefinitionCache |
string (int64) The number of table definitions that can be stored in the definition cache. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCache |
string (int64) The number of open tables for all threads. Acceptable values are 400 to 524288, inclusive. |
|
tableOpenCacheInstances |
string (int64) The number of open tables cache instances. Acceptable values are 1 to 32, inclusive. |
|
explicitDefaultsForTimestamp |
boolean This system variable determines whether the server enables certain nonstandard behaviors for default values and NULL-value handling in TIMESTAMP columns. |
|
autoIncrementIncrement |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
autoIncrementOffset |
string (int64) Can be used to control the operation of AUTO_INCREMENT columns. Acceptable values are 1 to 65535, inclusive. |
|
syncBinlog |
string (int64) Controls how often the MySQL server synchronizes the binary log to disk. Acceptable values are 0 to 4096, inclusive. |
|
binlogCacheSize |
string (int64) The size of the cache to hold changes to the binary log during a transaction. Acceptable values are 4096 to 67108864, inclusive. |
|
binlogGroupCommitSyncDelay |
string (int64) Controls how many microseconds the binary log commit waits before synchronizing the binary log file to disk. Acceptable values are 0 to 50000, inclusive. |
|
binlogRowImage |
enum (BinlogRowImage) For MySQL row-based replication, this variable determines how row images are written to the binary log.
|
|
binlogRowsQueryLogEvents |
boolean When enabled, it causes the server to write informational log events such as row query log events into its binary log. |
|
rplSemiSyncMasterWaitForSlaveCount |
string (int64) The number of replica acknowledgments the source must receive per transaction before proceeding. The minimum value is 1. |
|
slaveParallelType |
enum (SlaveParallelType) When using a multithreaded replica, this variable specifies the policy used to decide which transactions are allowed to execute in parallel on the replica.
|
|
slaveParallelWorkers |
string (int64) Sets the number of applier threads for executing replication transactions in parallel. Acceptable values are 0 to 64, inclusive. |
|
regexpTimeLimit |
string (int64) The time limit for regular expression matching operations performed by REGEXP_LIKE and similar functions Acceptable values are 0 to 1048576, inclusive. |
|
mdbPreserveBinlogBytes |
string (int64) The size of the binary log to hold. Acceptable values are 1073741824 to 1099511627776, inclusive. |
|
interactiveTimeout |
string (int64) The number of seconds the server waits for activity on an interactive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
waitTimeout |
string (int64) The number of seconds the server waits for activity on a noninteractive connection before closing it. Acceptable values are 600 to 86400, inclusive. |
|
mdbOfflineModeEnableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = ON' to prevent users from reading stale data. Acceptable values are 30 to 86400, inclusive. |
|
mdbOfflineModeDisableLag |
string (int64) Replication lag threshold (seconds) which will switch MySQL to 'offline_mode = OFF'. Acceptable values are 10 to 86400, inclusive. |
|
rangeOptimizerMaxMemSize |
string (int64) The limit on memory consumption for the range optimizer. Acceptable values are 60 to 268435456, inclusive. |
|
innodbOnlineAlterLogMaxSize |
string (int64) The limit in bytes on the size of the temporary log files used during online DDL operations Acceptable values are 65536 to 107374182400, inclusive. |
|
innodbFtMinTokenSize |
string (int64) Minimum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 0 to 16, inclusive. |
|
innodbFtMaxTokenSize |
string (int64) Maximum length of words that are stored in an InnoDB FULLTEXT index Acceptable values are 10 to 84, inclusive. |
|
lowerCaseTableNames |
string (int64) Table names storage and comparison strategy Acceptable values are 0 to 1, inclusive. |
|
slowQueryLog |
boolean Manages slow query log |
|
slowQueryLogAlwaysWriteTime |
number (double) Query execution time, after which query to be logged unconditionally, that is, log_slow_rate_limit will not apply to it Acceptable values are 0 to 3600, inclusive. |
|
logSlowRateType |
enum (LogSlowRateType) Specifies slow log granularity for log_slow_rate_limit: QUERY or SESSION
|
|
logSlowRateLimit |
string (int64) Specifies what fraction of session/query should be logged. Logging is enabled for every nth session/query. Acceptable values are 1 to 1000, inclusive. |
|
logSlowSpStatements |
boolean When TRUE, statements executed by stored procedures are logged to the slow log |
|
logSlowFilter[] |
enum (LogSlowFilterType) Filters the slow log by the query's execution plan
|
|
mdbPriorityChoiceMaxLag |
string (int64) Replication lag threshold (seconds) which allows replica to be promoted to master while executing "switchover from". Acceptable values are 0 to 86400, inclusive. |
|
innodbPageSize |
string (int64) Specifies the page size for InnoDB tablespaces. Acceptable values are 4096 to 65536, inclusive. |
|
maxSpRecursionDepth |
string (int64) The number of times that any given stored procedure may be called recursively. Acceptable values are 0 to 255, inclusive. |
|
innodbCompressionLevel |
string (int64) The level of zlib compression to use for InnoDB compressed tables and indexes. Acceptable values are 0 to 9, inclusive. |
|
autocommit |
boolean Config specific will be all changes to a table take effect immediately or you must use COMMIT to accept a transaction or ROLLBACK to cancel it. |
|
innodbStatusOutput |
boolean Enables or disables periodic output for the standard InnoDB Monitor. |
|
innodbStrictMode |
boolean When innodb_strict_mode is enabled, InnoDB returns errors rather than warnings when checking for invalid or incompatible table options. |
|
innodbPrintLockWaitTimeoutInfo |
boolean Makes InnoDB to write information about all lock wait timeout errors into the log file. |
|
logErrorVerbosity |
string (int64) System variable specifies the verbosity for handling events intended for the error log Acceptable values are 2 to 3, inclusive. |
|
maxDigestLength |
string (int64) The maximum number of bytes of memory reserved per session for computation of normalized statement digests. Acceptable values are 1024 to 1048576, inclusive. |
|
lockWaitTimeout |
string (int64) This variable specifies the timeout in seconds for attempts to acquire metadata locks Acceptable values are 1 to 31536000, inclusive. |
|
maxPreparedStmtCount |
string (int64) This variable limits the total number of prepared statements in the server. Acceptable values are 0 to 4194304, inclusive. |
|
optimizerSwitch |
string The system variable enables control over optimizer behavior. |
|
optimizerSearchDepth |
string (int64) The maximum depth of search performed by the query optimizer Acceptable values are 0 to 62, inclusive. |
|
userstat |
boolean Enables or disables collection of statistics |
|
maxExecutionTime |
string (int64) The execution timeout for SELECT statements, in milliseconds. If the value is 0, timeouts are not enabled. Acceptable values are 0 to 4294967295, inclusive. |
|
auditLogPolicy |
enum (AuditLogPolicy) The policy controlling how the audit log plugin writes events to its log file
|
|
replicationSenderObserveCommitOnly |
boolean Limit callbacks to improve performance for semisynchronous replication |
|
replicationOptimizeForStaticPluginConfig |
boolean Use shared locks, and avoid unnecessary lock acquisitions, to improve performance for semisynchronous replication |
|
innodbLruScanDepth |
string (int64) A parameter that influences the algorithms and heuristics for the flush operation for the InnoDB buffer pool Acceptable values are 100 to 4294967295, inclusive. |
|
sqlRequirePrimaryKey |
boolean Whether statements that create new tables or alter the structure of existing tables enforce the requirement that tables have a primary key |
|
mdbUseAsyncReplication |
boolean Enable async replication |
|
mdbAsyncAllowedLag |
string (int64) Async replication allowed lag (seconds) Acceptable values are 0 to 86400, inclusive. |
|
mdbForceSsl |
boolean Force ssl on all hosts (require_secure_transport) |
|
innodbChangeBuffering |
enum (InnodbChangeBuffering) An optimization for change buffering
|
|
maxWriteLockCount |
string (int64) Permit some pending read lock requests interval The minimum value is 1. |
|
innodbAdaptiveHashIndexParts |
string (int64) Partitions the adaptive hash index search system. Acceptable values are 1 to 512, inclusive. |
Resources
Cluster resource preset.
|
Field |
Description |
|
resourcePresetId |
string ID of the resource preset that defines available computational resources (vCPU, RAM, etc.) for a cluster host. |
|
diskSize |
string (int64) Volume of the storage (for each cluster host, in bytes). |
|
diskTypeId |
string Type of the storage.
|
TimeOfDay
Represents a time of day. The date and time zone are either not significant
or are specified elsewhere. An API may choose to allow leap seconds. Related
types are google.type.Date
|
Field |
Description |
|
hours |
integer (int32) Hours of day in 24 hour format. Should be from 0 to 23. An API may choose |
|
minutes |
integer (int32) Minutes of hour of day. Must be from 0 to 59. |
|
seconds |
integer (int32) Seconds of minutes of the time. Must normally be from 0 to 59. An API may |
|
nanos |
integer (int32) Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. |
Access
|
Field |
Description |
|
dataLens |
boolean Allows access from DataLens. |
|
webSql |
boolean Allows SQL queries to the cluster databases from management console. |
|
dataTransfer |
boolean Allow access for DataTransfer. |
|
yandexQuery |
boolean Allow access for YandexQuery. |
PerformanceDiagnostics
|
Field |
Description |
|
enabled |
boolean Flag that shows if performance statistics gathering is enabled for the cluster. |
|
sessionsSamplingInterval |
string (int64) Interval (in seconds) for Acceptable values are 1 to 86400, inclusive. |
|
statementsSamplingInterval |
string (int64) Interval (in seconds) for Acceptable values are 1 to 86400, inclusive. |
DiskSizeAutoscaling
|
Field |
Description |
|
plannedUsageThreshold |
string (int64) Amount of used storage for automatic disk scaling in the maintenance window, 0 means disabled, in percent. Acceptable values are 0 to 100, inclusive. |
|
emergencyUsageThreshold |
string (int64) Amount of used storage for immediately automatic disk scaling, 0 means disabled, in percent. Acceptable values are 0 to 100, inclusive. |
|
diskSizeLimit |
string (int64) Limit on how large the storage for database instances can automatically grow, in bytes. |
MaintenanceWindow
Configuration of a maintenance window in a MySQL cluster.
|
Field |
Description |
|
anytime |
object Maintenance operation can be scheduled anytime. Includes only one of the fields The maintenance policy in effect. |
|
weeklyMaintenanceWindow |
Maintenance operation can be scheduled on a weekly basis. Includes only one of the fields The maintenance policy in effect. |
WeeklyMaintenanceWindow
Weelky maintenance window settings.
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week (in
|
|
hour |
string (int64) Hour of the day in UTC (in Acceptable values are 1 to 24, inclusive. |
MaintenanceOperation
A planned maintenance operation.
|
Field |
Description |
|
info |
string Information about this maintenance operation. The maximum string length in characters is 256. |
|
delayedUntil |
string (date-time) Time until which this maintenance operation is delayed. String in RFC3339 To work with values in this field, use the APIs described in the |